Mailinglist Archive: opensuse-security-announce (28 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:0896-1: important: Security update for qemu
SUSE Security Update: Security update for qemu
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:0896-1
Rating: important
References: #886378 #924018 #929339
Cross-References: CVE-2015-1779 CVE-2015-3456
Affected Products:
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Desktop 12
______________________________________________________________________________

An update that solves two vulnerabilities and has one
errata is now available.

Description:


qemu / kvm was updated to fix a security issue and some bugs.

Security issue fixed:

* CVE-2015-3456: Fixed a buffer overflow in the floppy drive emulation,
which could be used to denial of service attacks or potential code
execution against the host.

* CVE-2015-1779: Fixed insufficient resource limiting in the VNC
websockets decoder.


Bugs fixed:
- qemu truncates vhd images in virt-rescue (bsc#886378)

- Update kvm-supported.txt with the current rbd support status.

- enable rbd build on x86_64 (qemu-block-rbd package) (FATE#318349)


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 12:

zypper in -t patch SUSE-SLE-SERVER-12-2015-200=1

- SUSE Linux Enterprise Desktop 12:

zypper in -t patch SUSE-SLE-DESKTOP-12-2015-200=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Server 12 (ppc64le s390x x86_64):

qemu-2.0.2-46.1
qemu-block-curl-2.0.2-46.1
qemu-block-curl-debuginfo-2.0.2-46.1
qemu-debugsource-2.0.2-46.1
qemu-guest-agent-2.0.2-46.1
qemu-guest-agent-debuginfo-2.0.2-46.1
qemu-lang-2.0.2-46.1
qemu-tools-2.0.2-46.1
qemu-tools-debuginfo-2.0.2-46.1

- SUSE Linux Enterprise Server 12 (s390x x86_64):

qemu-kvm-2.0.2-46.1

- SUSE Linux Enterprise Server 12 (ppc64le):

qemu-ppc-2.0.2-46.1
qemu-ppc-debuginfo-2.0.2-46.1

- SUSE Linux Enterprise Server 12 (noarch):

qemu-ipxe-1.0.0-46.1
qemu-seabios-1.7.4-46.1
qemu-sgabios-8-46.1
qemu-vgabios-1.7.4-46.1

- SUSE Linux Enterprise Server 12 (x86_64):

qemu-block-rbd-2.0.2-46.1
qemu-block-rbd-debuginfo-2.0.2-46.1
qemu-x86-2.0.2-46.1
qemu-x86-debuginfo-2.0.2-46.1

- SUSE Linux Enterprise Server 12 (s390x):

qemu-s390-2.0.2-46.1
qemu-s390-debuginfo-2.0.2-46.1

- SUSE Linux Enterprise Desktop 12 (x86_64):

qemu-2.0.2-46.1
qemu-block-curl-2.0.2-46.1
qemu-block-curl-debuginfo-2.0.2-46.1
qemu-debugsource-2.0.2-46.1
qemu-kvm-2.0.2-46.1
qemu-tools-2.0.2-46.1
qemu-tools-debuginfo-2.0.2-46.1
qemu-x86-2.0.2-46.1
qemu-x86-debuginfo-2.0.2-46.1

- SUSE Linux Enterprise Desktop 12 (noarch):

qemu-ipxe-1.0.0-46.1
qemu-seabios-1.7.4-46.1
qemu-sgabios-8-46.1
qemu-vgabios-1.7.4-46.1


References:

https://www.suse.com/security/cve/CVE-2015-1779.html
https://www.suse.com/security/cve/CVE-2015-3456.html
https://bugzilla.suse.com/886378
https://bugzilla.suse.com/924018
https://bugzilla.suse.com/929339

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages